//clase (objeto) scoreKeeper 
class scoreKeeper{
  //variables
  int playerLeft,playerRight;
  boolean playing = true;

  //constructor
  scoreKeeper(int _s){
    playerLeft=0;
    playerRight=0;
    maxScore = _s;
  } 

  void playerLeftScored(){
    if(playing){
      playerLeft ++;
    }
  }
  void playerRightScored(){
    if(playing){
      playerRight ++;
    }
  }

  void update(){
    checkScore();
    drawLine(); 
    updateText();
  }

  //ver si alguien llegó a la máxima puntación
  void checkScore(){
    if(playerRight >= maxScore || playerLeft >= maxScore){
      playing = false;
    } 
  }

  //dibujar
  void drawLine(){
    int interval = 20;
    int theLength = 10;
    int myWidth = 3;
    strokeWeight(myWidth);
    stroke(screenColor);
    fill(screenColor);
    for(int i=0;i<height;i+=interval){
      line(width/2,i,width/2,i+theLength); 
    }
  }

  //texto
  void updateText(){
    if(!playing){
      fill(backgroundColor);
      stroke(backgroundColor);
      rect(0,0,width,height);
      fill(screenColor);  
      if(playerRight >= maxScore){
        text("Player 2 WINS!", 200, height/2);
      } 
      else {
        text("Player 1 WINS!", 200, height/2);
      }
    }
    //a partir de aquí lo que siempre se escribe:
    text("Player 1: "+playerLeft+"    Player 2: "+playerRight, 114, height-25);
  }
}//Fin de la clase scoreKeeper




