/* 
 Joan Soler-Adillon
 Realitat Virtual || Realidad Virtual - Processing
 Màster en Arts Digitals, UPF
 http://www.joan.cat/
 */


//...y CREAMOS UN OBJETO WALKER, al que llamamos wkr
Walker[] wkrs = new Walker[1000]; 

//inicializamos
void setup(){
  size(300,300);
  //Inicializamos los Walkers: les enviamos los parámetros step y tamaño
  for(int i=0; i<wkrs.length;i++){
    wkrs[i] = new Walker(2,5);
  }
}

void draw(){
  background(0);
  //ejecutamos los walkers
  for(int i=0; i<wkrs.length;i++){
    wkrs[i].run();
  }
}


///////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////
/// CLASE WALKER

class Walker{
  //declaramos variables:
  int mySz, myStep;
  PVector myPos;

  //Constructor: se ejecuta al crear la instancia del objeto
  Walker (int _st, int _sz){
    myStep = _st;
    mySz = _sz;
    myPos = new PVector(width/2,height/2); 
  }

  void run(){
    updatePosition();
    drawMe();  
  }

  void updatePosition(){
    //creamos un random para cada dirección:
    float randX = random(100);
    float randY = random(100);
    //en la X, si es mayor a 50, el walker va para la derecha
    if(randX >= 50){
      //como pos es un VECTOR, lo hacemos con pos.x
      myPos.x += myStep;
    } // y si es menor, para la izquierda
    else {
      myPos.x -= myStep;
    }
    //y lo mismo para Y: si es mayor a 50, el walker va para abajo
    if(randY >= 50){
      //como pos es un VECTOR, lo hacemos con pos.x
      myPos.y += myStep;
    } // y si es menor, para arriba
    else {
      myPos.y -= myStep;
    }
     //y finalmente, mantenemos el walker dentro de la ventana con constrin
    myPos.x = constrain(myPos.x,0,width);
    myPos.y = constrain(myPos.y,0,height);
  }

  void drawMe(){
    //preparamos color
    stroke(0,0,255);
    fill(64,0,255);
    //dibujamos:
    ellipse(myPos.x,myPos.y,mySz,mySz);
  }
} 

