//la nave
class spaceShip{
  //variables:
  int x, y;
  int xStep, delayBetweenBullets;
  int lastBulletTime = -10000;
  //constructor:
  spaceShip(int _x, int _y, int _s, int _d){
    x = _x;
    y = _y;
    xStep = _s;
    delayBetweenBullets = _d;
  } 

  void update(){
    drawMe(); 
    checkInvaders();
  }

  void drawMe(){
    image(spaceShip,x,y);
  }

  void incrementX(){
    x += xStep;
  }
  void decrementX(){
    x -= xStep;
  }
  
  void setX(int _newX){
    x = _newX; 
  }
  
//disparo:
  void shoot(){
    if(millis()-lastBulletTime > delayBetweenBullets){//si pasó el tiempo suficiente des de la última bala 
      bulletsList.add(new bullet(x,bulletSpeed));//creamos una nueva
      lastBulletTime = millis();//Guardamos el tiempo del disparo
    }
  } 

//ver si los invasores llegaron donde está la nave:
  void checkInvaders(){
    for(int i=0;i<numOfInvaders;i++){
      if(invaders[i].isAlive()){
        float iy = invaders[i].getY();
        if(iy >= height-spaceShipDistanceToBottom-15){
          //SE ACABÓ EL JUEGO (esto es todo lo que pasa!)
          fill(255,0,0);
          stroke(255,0,0);
          rect(0,0,width,height);
        }
      }
    }
  }
}


